# .readthedocs.yml
# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

build:
  os: "ubuntu-22.04"
  tools:
    python: "3.11"

# Build the documentation with mkdocs
mkdocs:
  configuration: .mkdocs.yml

# Build docs in additional formats such as PDF and ePub
formats: all

# Set requirements required to build the documentation
python:
  install:
    # https://github.com/Python-Markdown/markdown/wiki/Third-Party-Extensions
    # https://facelessuser.github.io/pymdown-extensions/installation/
    - requirements: docs/readthedocs-requirements.txt
